
/* =========================== bannière et titres défilants =========================== */

.banner-background {
	background-color: #FFF;
	border: none;
	width: 1280px;
	height: 115px;
	margin: 0;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 0px;
	padding: 0px;
	position: sticky;
	top: 0px;
	z-index: 1;
	/* empêche la sélection du texte */
	user-select: none;
}

.banner {
	background-color: var(--color-banner);
	border: none;
	border-radius: 6px;
	width: 1260px;
	height: 42px;
	margin: 0;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 10px;
	color: #FFF;
	text-align:left;
	font-family: verdana; 
	font-weight: bold;
	padding: 10px 10px;
	line-height: 30px;
	position: sticky;
	top: 35px;
	z-index: 2;
}

.slide-left-on, .slide-left-off {
	font-family: verdana; 
	font-weight: bold;
	font-size: 36px;
	color: #FFF;
	width:100%;
}

.slide-left-on {
	animation: 1s slide-right;
}

@keyframes slide-left {
	from {
		margin-left: 100%;
	}
	to {
		margin-left: 0%;
	}
}

.slide-right-on, .slide-right-off {
	font-family: verdana; 
	font-weight: bold;
	font-size: 22px;
	font-style: italic;
	color: #FFF;
	width: 100%;
}

.slide-right-on {
	animation: 1s slide-left;
}

@keyframes slide-right {
	from {
		margin-left: -100%;
	}
	to {
		margin-left: 0%;
	}
}
